include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/dvb/lib
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### dvbmpeg (static)

tde_add_library( dvbmpeg STATIC_PIC

  SOURCES
        cat_section.c
        metadata_section.c
        odsmt_section.c
        pat_section.c
        pmt_section.c
        tsdt_section.c
)
